Page MenuHomePhabricator

[upstream] Tofu (boxes instead of characters) in some labels
Closed, ResolvedPublic

Event Timeline

MaxSem created this task.Aug 12 2015, 5:38 PM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added projects: Maps, Maps-Sprint.
MaxSem added a subscriber: MaxSem.
Restricted Application added a project: Discovery. · View Herald TranscriptAug 12 2015, 5:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Can we get a url/coordinate for this? We need to be able to replay this. I haven't seen any while browsing around

ksmith renamed this task from Tofu in some labels to Tofu (boxes instead of characters) in some labels.Aug 18 2015, 9:41 PM
ksmith set Security to None.

@Tfinc, it's in the description ;)

Another example is https://maps.wikimedia.org/osm/18/156717/106651.png .

I'm not sure what the deal is. Clearly it can render Hebrew, and Max's example also shows it can at least sometimes render Arabic.

After an IRL debugging of Hebrew labels with Stas and Ori, we narrowed it to Mapnik going bonkers from some combinations of 2-byte and 1-byte UTF. Minimal repro: "א-" - that's aleph and minus sign.

Tfinc moved this task from Backlog to To-do on the Maps-Sprint board.Aug 25 2015, 10:05 PM
MaxSem claimed this task.Aug 26 2015, 10:51 PM
MaxSem moved this task from To-do to In progress on the Maps-Sprint board.
Yurik moved this task from All map-related tasks to Tilerator on the Maps board.Sep 13 2015, 6:41 AM
Yurik reopened this task as Open.Sep 18 2015, 1:38 PM
Yurik added a subscriber: Amire80.
Yurik added a subscriber: Yurik.
Yurik updated the task description. (Show Details)Oct 20 2015, 6:03 PM
Yurik updated the task description. (Show Details)Oct 20 2015, 6:33 PM
Yurik added a comment.Oct 21 2015, 8:35 PM

I think I figured out why it was happening, see explanation, but a patch is still welcome.

MaxSem renamed this task from Tofu (boxes instead of characters) in some labels to [upstream] Tofu (boxes instead of characters) in some labels.Oct 26 2015, 5:51 PM
MaxSem added a comment.Nov 9 2015, 6:04 PM

https://github.com/mapnik/mapnik/pull/3151 has been merged, waiting for a Mapnik/node-mapnik release.

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 9 2015, 6:04 PM
Yurik closed this task as Resolved.Dec 7 2015, 3:50 PM
Yurik added a subscriber: jkroll.

Done and deployed. Thanks @jkroll and WMDE for your help! Varnish cache will expire in 24 hours.